<html>
<head>
<title>Ogre::GpuConstantDefinition Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1GpuConstantDefinition.html">GpuConstantDefinition</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::GpuConstantDefinition Struct Reference<div class="ingroups"><a class="el" href="group__Materials.html">Materials</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::GpuConstantDefinition" -->
<p>Information about predefined program constants.  
 <a href="structOgre_1_1GpuConstantDefinition.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>&gt;</code></p>

<p><a href="structOgre_1_1GpuConstantDefinition-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuConstantDefinition.html#a95badfcf50353a9e783cd0c39245b797">isFloat</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuConstantDefinition.html#a5205751dcfddd7f6f5f7e68aec6799e3">isSampler</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuConstantDefinition.html#afce533b1a68d8e3f542cfeab53a643ae">GpuConstantDefinition</a> ()</td></tr>
<tr><td colspan="2"><h2><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuConstantDefinition.html#a13ed935cc299f0b4bfdd2b308e96e459">isFloat</a> (<a class="el" href="group__Materials.html#ga9c5b2950be06ff56a6ee0bace240d447">GpuConstantType</a> c)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuConstantDefinition.html#a59a70d25266c42c4d1c6cb3af15ff2cc">isSampler</a> (<a class="el" href="group__Materials.html#ga9c5b2950be06ff56a6ee0bace240d447">GpuConstantType</a> c)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuConstantDefinition.html#a98b89162a969ef7c8cdce59979e486e9">getElementSize</a> (<a class="el" href="group__Materials.html#ga9c5b2950be06ff56a6ee0bace240d447">GpuConstantType</a> ctype, bool padToMultiplesOf4)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the element size of a given type, including whether to pad the elements into multiples of 4 (e.g.  <a href="#a98b89162a969ef7c8cdce59979e486e9"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__Materials.html#ga9c5b2950be06ff56a6ee0bace240d447">GpuConstantType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuConstantDefinition.html#a2313e6ce0fa661a5814099230846b82d">constType</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Data type.  <a href="#a2313e6ce0fa661a5814099230846b82d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuConstantDefinition.html#a46ccefd7dc110783ff07328cf105b19f">physicalIndex</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Physical start index in buffer (either float or int buffer)  <a href="#a46ccefd7dc110783ff07328cf105b19f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuConstantDefinition.html#a8579926ecde16841abf0d872689b672c">logicalIndex</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Logical index - used to communicate this constant to the rendersystem.  <a href="#a8579926ecde16841abf0d872689b672c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuConstantDefinition.html#a2d71f0cd6e1f4fab8806905dd131abe6">elementSize</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of raw buffer slots per element (some programs pack each array element to float4, some do not)  <a href="#a2d71f0cd6e1f4fab8806905dd131abe6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuConstantDefinition.html#acaf52008903308ca818a1fc816d88231">arraySize</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Length of array.  <a href="#acaf52008903308ca818a1fc816d88231"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuConstantDefinition.html#a51ccda09a2daaef201e0bfe014dfef1b">variability</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">How this parameter varies (bitwise combination of GpuProgramVariability)  <a href="#a51ccda09a2daaef201e0bfe014dfef1b"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Information about predefined program constants. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>Only available for high-level programs but is referenced generically by <a class="el" href="classOgre_1_1GpuProgramParameters.html" title="Collects together the program parameters used for a GpuProgram.">GpuProgramParameters</a>. </dd></dl>

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l00105">105</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="afce533b1a68d8e3f542cfeab53a643ae"></a><!-- doxytag: member="Ogre::GpuConstantDefinition::GpuConstantDefinition" ref="afce533b1a68d8e3f542cfeab53a643ae" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1GpuConstantDefinition.html#afce533b1a68d8e3f542cfeab53a643ae">Ogre::GpuConstantDefinition::GpuConstantDefinition</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l00258">258</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a98b89162a969ef7c8cdce59979e486e9"></a><!-- doxytag: member="Ogre::GpuConstantDefinition::getElementSize" ref="a98b89162a969ef7c8cdce59979e486e9" args="(GpuConstantType ctype, bool padToMultiplesOf4)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static size_t <a class="el" href="structOgre_1_1GpuConstantDefinition.html#a98b89162a969ef7c8cdce59979e486e9">Ogre::GpuConstantDefinition::getElementSize</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Materials.html#ga9c5b2950be06ff56a6ee0bace240d447">GpuConstantType</a>&#160;</td>
          <td class="paramname"><em>ctype</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>padToMultiplesOf4</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the element size of a given type, including whether to pad the elements into multiples of 4 (e.g. </p>
<p>SM1 and D3D does, GLSL doesn't) </p>

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l00175">175</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

<p>References <a class="el" href="OgreGpuProgramParams_8h_source.html#l00054">Ogre::GCT_FLOAT1</a>, <a class="el" href="OgreGpuProgramParams_8h_source.html#l00055">Ogre::GCT_FLOAT2</a>, <a class="el" href="OgreGpuProgramParams_8h_source.html#l00056">Ogre::GCT_FLOAT3</a>, <a class="el" href="OgreGpuProgramParams_8h_source.html#l00057">Ogre::GCT_FLOAT4</a>, <a class="el" href="OgreGpuProgramParams_8h_source.html#l00074">Ogre::GCT_INT1</a>, <a class="el" href="OgreGpuProgramParams_8h_source.html#l00075">Ogre::GCT_INT2</a>, <a class="el" href="OgreGpuProgramParams_8h_source.html#l00076">Ogre::GCT_INT3</a>, <a class="el" href="OgreGpuProgramParams_8h_source.html#l00077">Ogre::GCT_INT4</a>, <a class="el" href="OgreGpuProgramParams_8h_source.html#l00065">Ogre::GCT_MATRIX_2X2</a>, <a class="el" href="OgreGpuProgramParams_8h_source.html#l00066">Ogre::GCT_MATRIX_2X3</a>, <a class="el" href="OgreGpuProgramParams_8h_source.html#l00067">Ogre::GCT_MATRIX_2X4</a>, <a class="el" href="OgreGpuProgramParams_8h_source.html#l00068">Ogre::GCT_MATRIX_3X2</a>, <a class="el" href="OgreGpuProgramParams_8h_source.html#l00069">Ogre::GCT_MATRIX_3X3</a>, <a class="el" href="OgreGpuProgramParams_8h_source.html#l00070">Ogre::GCT_MATRIX_3X4</a>, <a class="el" href="OgreGpuProgramParams_8h_source.html#l00071">Ogre::GCT_MATRIX_4X2</a>, <a class="el" href="OgreGpuProgramParams_8h_source.html#l00072">Ogre::GCT_MATRIX_4X3</a>, <a class="el" href="OgreGpuProgramParams_8h_source.html#l00073">Ogre::GCT_MATRIX_4X4</a>, <a class="el" href="OgreGpuProgramParams_8h_source.html#l00058">Ogre::GCT_SAMPLER1D</a>, <a class="el" href="OgreGpuProgramParams_8h_source.html#l00062">Ogre::GCT_SAMPLER1DSHADOW</a>, <a class="el" href="OgreGpuProgramParams_8h_source.html#l00059">Ogre::GCT_SAMPLER2D</a>, <a class="el" href="OgreGpuProgramParams_8h_source.html#l00064">Ogre::GCT_SAMPLER2DARRAY</a>, <a class="el" href="OgreGpuProgramParams_8h_source.html#l00063">Ogre::GCT_SAMPLER2DSHADOW</a>, <a class="el" href="OgreGpuProgramParams_8h_source.html#l00060">Ogre::GCT_SAMPLER3D</a>, and <a class="el" href="OgreGpuProgramParams_8h_source.html#l00061">Ogre::GCT_SAMPLERCUBE</a>.</p>

</div>
</div>
<a class="anchor" id="a95badfcf50353a9e783cd0c39245b797"></a><!-- doxytag: member="Ogre::GpuConstantDefinition::isFloat" ref="a95badfcf50353a9e783cd0c39245b797" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1GpuConstantDefinition.html#a95badfcf50353a9e783cd0c39245b797">Ogre::GpuConstantDefinition::isFloat</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l00121">121</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

</div>
</div>
<a class="anchor" id="a13ed935cc299f0b4bfdd2b308e96e459"></a><!-- doxytag: member="Ogre::GpuConstantDefinition::isFloat" ref="a13ed935cc299f0b4bfdd2b308e96e459" args="(GpuConstantType c)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static bool <a class="el" href="structOgre_1_1GpuConstantDefinition.html#a95badfcf50353a9e783cd0c39245b797">Ogre::GpuConstantDefinition::isFloat</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Materials.html#ga9c5b2950be06ff56a6ee0bace240d447">GpuConstantType</a>&#160;</td>
          <td class="paramname"><em>c</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l00126">126</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

<p>References <a class="el" href="OgreGpuProgramParams_8h_source.html#l00074">Ogre::GCT_INT1</a>, <a class="el" href="OgreGpuProgramParams_8h_source.html#l00075">Ogre::GCT_INT2</a>, <a class="el" href="OgreGpuProgramParams_8h_source.html#l00076">Ogre::GCT_INT3</a>, <a class="el" href="OgreGpuProgramParams_8h_source.html#l00077">Ogre::GCT_INT4</a>, <a class="el" href="OgreGpuProgramParams_8h_source.html#l00058">Ogre::GCT_SAMPLER1D</a>, <a class="el" href="OgreGpuProgramParams_8h_source.html#l00062">Ogre::GCT_SAMPLER1DSHADOW</a>, <a class="el" href="OgreGpuProgramParams_8h_source.html#l00059">Ogre::GCT_SAMPLER2D</a>, <a class="el" href="OgreGpuProgramParams_8h_source.html#l00064">Ogre::GCT_SAMPLER2DARRAY</a>, <a class="el" href="OgreGpuProgramParams_8h_source.html#l00063">Ogre::GCT_SAMPLER2DSHADOW</a>, <a class="el" href="OgreGpuProgramParams_8h_source.html#l00060">Ogre::GCT_SAMPLER3D</a>, and <a class="el" href="OgreGpuProgramParams_8h_source.html#l00061">Ogre::GCT_SAMPLERCUBE</a>.</p>

</div>
</div>
<a class="anchor" id="a5205751dcfddd7f6f5f7e68aec6799e3"></a><!-- doxytag: member="Ogre::GpuConstantDefinition::isSampler" ref="a5205751dcfddd7f6f5f7e68aec6799e3" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1GpuConstantDefinition.html#a5205751dcfddd7f6f5f7e68aec6799e3">Ogre::GpuConstantDefinition::isSampler</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l00148">148</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

</div>
</div>
<a class="anchor" id="a59a70d25266c42c4d1c6cb3af15ff2cc"></a><!-- doxytag: member="Ogre::GpuConstantDefinition::isSampler" ref="a59a70d25266c42c4d1c6cb3af15ff2cc" args="(GpuConstantType c)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static bool <a class="el" href="structOgre_1_1GpuConstantDefinition.html#a5205751dcfddd7f6f5f7e68aec6799e3">Ogre::GpuConstantDefinition::isSampler</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Materials.html#ga9c5b2950be06ff56a6ee0bace240d447">GpuConstantType</a>&#160;</td>
          <td class="paramname"><em>c</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l00153">153</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

<p>References <a class="el" href="OgreGpuProgramParams_8h_source.html#l00058">Ogre::GCT_SAMPLER1D</a>, <a class="el" href="OgreGpuProgramParams_8h_source.html#l00062">Ogre::GCT_SAMPLER1DSHADOW</a>, <a class="el" href="OgreGpuProgramParams_8h_source.html#l00059">Ogre::GCT_SAMPLER2D</a>, <a class="el" href="OgreGpuProgramParams_8h_source.html#l00064">Ogre::GCT_SAMPLER2DARRAY</a>, <a class="el" href="OgreGpuProgramParams_8h_source.html#l00063">Ogre::GCT_SAMPLER2DSHADOW</a>, <a class="el" href="OgreGpuProgramParams_8h_source.html#l00060">Ogre::GCT_SAMPLER3D</a>, and <a class="el" href="OgreGpuProgramParams_8h_source.html#l00061">Ogre::GCT_SAMPLERCUBE</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="acaf52008903308ca818a1fc816d88231"></a><!-- doxytag: member="Ogre::GpuConstantDefinition::arraySize" ref="acaf52008903308ca818a1fc816d88231" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1GpuConstantDefinition.html#acaf52008903308ca818a1fc816d88231">Ogre::GpuConstantDefinition::arraySize</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Length of array. </p>

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l00117">117</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2313e6ce0fa661a5814099230846b82d"></a><!-- doxytag: member="Ogre::GpuConstantDefinition::constType" ref="a2313e6ce0fa661a5814099230846b82d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__Materials.html#ga9c5b2950be06ff56a6ee0bace240d447">GpuConstantType</a> <a class="el" href="structOgre_1_1GpuConstantDefinition.html#a2313e6ce0fa661a5814099230846b82d">Ogre::GpuConstantDefinition::constType</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Data type. </p>

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l00108">108</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2d71f0cd6e1f4fab8806905dd131abe6"></a><!-- doxytag: member="Ogre::GpuConstantDefinition::elementSize" ref="a2d71f0cd6e1f4fab8806905dd131abe6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1GpuConstantDefinition.html#a2d71f0cd6e1f4fab8806905dd131abe6">Ogre::GpuConstantDefinition::elementSize</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Number of raw buffer slots per element (some programs pack each array element to float4, some do not) </p>

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l00115">115</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8579926ecde16841abf0d872689b672c"></a><!-- doxytag: member="Ogre::GpuConstantDefinition::logicalIndex" ref="a8579926ecde16841abf0d872689b672c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1GpuConstantDefinition.html#a8579926ecde16841abf0d872689b672c">Ogre::GpuConstantDefinition::logicalIndex</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Logical index - used to communicate this constant to the rendersystem. </p>

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l00112">112</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

</div>
</div>
<a class="anchor" id="a46ccefd7dc110783ff07328cf105b19f"></a><!-- doxytag: member="Ogre::GpuConstantDefinition::physicalIndex" ref="a46ccefd7dc110783ff07328cf105b19f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1GpuConstantDefinition.html#a46ccefd7dc110783ff07328cf105b19f">Ogre::GpuConstantDefinition::physicalIndex</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Physical start index in buffer (either float or int buffer) </p>

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l00110">110</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

</div>
</div>
<a class="anchor" id="a51ccda09a2daaef201e0bfe014dfef1b"></a><!-- doxytag: member="Ogre::GpuConstantDefinition::variability" ref="a51ccda09a2daaef201e0bfe014dfef1b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> <a class="el" href="structOgre_1_1GpuConstantDefinition.html#a51ccda09a2daaef201e0bfe014dfef1b">Ogre::GpuConstantDefinition::variability</a><code> [mutable]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>How this parameter varies (bitwise combination of GpuProgramVariability) </p>

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l00119">119</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:56
</p>
</body>
</html>
